Bug 696667 - Some list views require refresh for initial population
Summary: Some list views require refresh for initial population
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 4.0.0.Beta2
Hardware: All
OS: All
medium
urgent vote
Target Milestone: ---
: ---
Assignee: Jay Shaughnessy
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks: rhq4
TreeView+ depends on / blocked
 
Reported: 2011-04-14 15:05 UTC by Jay Shaughnessy
Modified: 2011-10-04 19:27 UTC (History)
2 users (show)

Fixed In Version: 4.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Jay Shaughnessy 2011-04-14 15:05:07 UTC
A fix to eliminate duplicate refresh of table data (commit abc7cd665aa8a)
    exposed issues in some of our view impls that unintentionally relied
    on the refresh (second fetch) to work.

    In short, the broken views need to supply initialCriteria for the first
    fetch (initiated by autoFetch=true on the listgrid).

    The following views have been identified:


AlertHistory
EventHistory
OperationHistory

Comment 1 Jay Shaughnessy 2011-04-14 16:26:38 UTC
commit a0b2e2aaa069a387fde1963071b75cf649f30084
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Thu Apr 14 12:23:06 2011 -0400

    This commit:
    - fixes alert history view
    - fixes operation history view
    - fixes an I18N issue if the event history severity filter
    - expands impl and consolidates use of EnumSelectItem for enum based filters
    - add and fixes some constant usage for filter widget names
    - changes I18N values for alert prio from uppercase to capitalized values


This commit should finish the fixes for the 3 known problem views. navigating to these views should now initially populate with unfiltered rows.

Comment 2 Sunil Kondkar 2011-04-25 09:19:34 UTC
Verified on build#1175(Version: 4.0.0-SNAPSHOT Build Number: a90faf9)

Navigated to the below tabs of a resource:

Alerts->History
Events->History
Operations->history

Navigating to these tabs populate the unfiltered rows without refreshing.

Marking as verified.

Comment 3 Corey Welton 2011-05-24 01:11:12 UTC
Bookkeeping - closing bug - fixed in recent release.

Comment 4 Corey Welton 2011-05-24 01:11:14 UTC
Bookkeeping - closing bug - fixed in recent release.


Note You need to log in before you can comment on or make changes to this bug.